.TH "Really Slick ScreenSavers" 1 "" "X Version 11"
.de Ds
.Sp
.nf
..
.de De
.fi
..
.SH NAME
pixelcity - Procedural city fly through.
.SH SYNOPSIS
.B plasma
[\--root/-r]
[\--maxfps/-x \fInumber\fP]
[\--vsync/-y \fInumber\fP]
[\--dpms/-M \fInumber\fP]
[\--effect_none/-n]
[\--effect_bloom/-b]
[\--effect_bloom_radial/-B]
[\--effect_glass/-g]
[\--effect_color_cycle/-c]
[\--wireframe/-w]
[\--letterbox/-l]
[\--no-fog/-F]
.SH DESCRIPTION
From Shamus Young (\fIhttp://code.google.com/p/pixelcity/\fP):
A screensaver for Windows which generates and performs a fly-through of a nighttime cityscape.

    * There are no art assets. All content is generated at runtime.
    * Aimed at older graphics hardware. The goal is for the program to perform acceptably on machines "five years old or less".
    * Written in C++ using OpenGL. No fragment or vertex shaders are used. 

Ported to Linux by Tugrul Galatali.
.SH OPTIONS
.TP 8
.B \--root
Draw on the root window.
.TP 8
.B \--maxfps \fInumber\fP
Set maximum frame rate.
.TP 8
.B \--vsync \fInumber\fP
Limit redraws to specified number of vertical refreshes.  0 - 100.  Default: 1
.TP 8
.B \--dpms \fInumber\fP
Stop rendering new frames if the display is not on.  0 - 1.  Default: 1
.TP 8
.B \--effect_none
No scene post processing.
.TP 8
.B \--effect_bloom
Apply bloom filter to scene.  Default.
.TP 8
.B \--effect_bloom_radial
Apply radial bloom filter to scene.
.TP 8
.B \--effect_glass
Ethereal rendering of buildings.
.TP 8
.B \--effect_color_cycle
Buildings glow with alternating colors.
.TP 8
.B \--wireframe
Render building outlines.
.TP 8
.B \--letterbox
Wide screen the scene with letter boxing.
.TP 8
.B \--no-fog
Disable distance fog.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.SH SEE ALSO
.BR X (1),
.SH COPYRIGHT
Copyright \(co 2009 by Shamus Young and Tugrul Galatali.  

Pixel City is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License version 3 as
published by the Free Software Foundation.

Pixel City is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
.SH AUTHOR
Shamus Young <shamus -at- shamusyoung dot com> and Tugrul Galatali <tugrul@galatali.com>

